<?php
/*
Plugin Name: Woocommerce Shop Scheduler
Plugin URI: 
Description: The easiest way to schedule what time and day your Woocommerce shop Opens/Close
Version: 1.0.1
Author: codemywebapps
Author URI: http://codemywebapps.com
License: GPL2
*/
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

define('WSS_PLUGIN_DIR', dirname(__FILE__));
define('WSS_PLUGIN_URL', plugin_dir_url(__FILE__));

require_once('wss_render.php');
require_once('wss_admin_callback.php');
require_once('components/wss_functions.php');
require_once('models/wss_settings.php');

add_action('admin_menu','wss_settings_menu');

function wss_settings_menu()
{
     add_submenu_page( 'woocommerce', __( 'Shop Scheduler', 'woocommerce' ),  __( 'Shop Scheduler', 'woocommerce' ) , 'view_woocommerce_reports', 'woocommerce_flexi_settings', 'woocommerce_flexi_settings' );	
}

add_action( 'admin_enqueue_scripts', 'shop_admin_resources' );

function shop_admin_resources()
{
	wp_enqueue_style('time-picker-css',"http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.1/themes/base/jquery-ui.css");
	wp_enqueue_style('wws-admin-css',WSS_PLUGIN_URL."/assets/css/wss_admin.css?",array(),'2.1.5');
	wp_enqueue_script('jquery-ui',"http://code.jquery.com/ui/1.10.3/jquery-ui.js",
	array('jquery'),'1.0',true);
   	wp_enqueue_script('time-picker',WSS_PLUGIN_URL."assets/js/jquery.ui.timepicker-0.0.8.js",array('jquery'),'1.0',true);     	
   	
   	wp_enqueue_style('colorpicker-css',WSS_PLUGIN_URL."vendor/color-picker/css/colorpicker.css",array(),'2.1.5');
   	wp_enqueue_script('colorpicker-1',WSS_PLUGIN_URL."vendor/color-picker/js/colorpicker.js",array('jquery'),'1.0',true);  
   	  
   	wp_enqueue_script('js-uploader',WSS_PLUGIN_URL."vendor/ajaxupload/fileuploader.js",array('jquery'),'1.0',true);
   	wp_enqueue_script('js-script',WSS_PLUGIN_URL."assets/js/wss_uploader.js",array('jquery'),'1.0',true);
   	wp_enqueue_script('wws-admin',WSS_PLUGIN_URL."assets/js/wss_admin.js",array('jquery'),'1.0',true);
   	   	
}

add_action( 'wp_enqueue_scripts', 'wss_front_resources' );

function wss_front_resources()
{
	wp_register_style('wss-css',WSS_PLUGIN_URL."assets/css/wss_front.css",array(),'1.0');	
	wp_enqueue_style( 'wss-css' ); 
		
	wp_register_style('google-font',"http://fonts.googleapis.com/css?family=Varela+Round|Podkova|Rosario|Abel|PT+Sans|Kameron|Lobster|Kreon",array(),'1.0');	
	wp_enqueue_style( 'google-font');
		
	wp_register_style('fancybox-css',WSS_PLUGIN_URL."vendor/fancybox/source/jquery.fancybox.css",array(),'2.1.5');
	wp_register_script('fancybox',WSS_PLUGIN_URL."vendor/fancybox/source/jquery.fancybox.js",array(),'2.1.5',true);			

	wp_register_script('wss-ajax-handle',plugin_dir_url( __FILE__ ) . 'assets/js/wss_front.js',
	 array( 'jquery' ),'',true);

	wp_enqueue_style( 'fancybox-css' );  
	wp_enqueue_script( 'fancybox' );
	
	wp_enqueue_script( 'wss-ajax-handle' );
	wp_localize_script('wss-ajax-handle', 'wss_ajax_script', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );
		
}

add_action( 'wp_ajax_wss_front_callback', 'wss_admin_callback' );
add_action( 'wp_ajax_nopriv_wss_front_callback', 'wss_admin_callback');

if(!function_exists('dump'))
{
	function dump($data='') {
		print '<pre>';print_r($data);print '</pre>';
	}
}

add_action('woocommerce_before_main_content','flexi_before_content');
add_action('woocommerce_after_main_content','flexi_after_content');

add_action('woocommerce_before_checkout_form','flexi_before_content');
add_action('woocommerce_after_checkout_form','flexi_after_content');

add_action('before_woocommerce_pay','flexi_before_content');
add_action('after_woocommerce_pay','flexi_before_content');

add_action('woocommerce_before_cart','flexi_before_content');
add_action('woocommerce_after_cart','flexi_after_content');

function flexi_before_content()
{
	$wss_functions=new wss_functions;
	if ($wss_functions->check_if_shop_open(false)):	    
	//echo 'd';	
	    $wss_as_popup=get_option('wss_as_popup');	    
	    if ($wss_as_popup==1){
	    	print '<input type="hidden" id="wss_as_popup" value="1" >';
	    } else {
	    	$wss_render=new wss_render;
	    	print "<DIV id=\"flexi\" style=\"display:none;\" >";
	    }
	else :
	    print "<DIV id=\"flexi\" style=\"display:block;\" >";
	endif;	
}

function flexi_after_content()
{
	print '</DIV>';
}

register_activation_hook(__FILE__,'wss_install_data');

function wss_install_data()
{
	global $wpdb;	
	require_once 'sql/data.php';	
	if (is_array($wss_data) && count($wss_data)>=1):
	   foreach ($wss_data as $val):	   		   
	    $wpdb->insert($wpdb->prefix.'options',$val
	   );
	   endforeach;
	endif;
}