<?php
add_action('wp_ajax_wss_admin_callback', 'wss_admin_callback');

function wss_admin_callback()
{	
	if (isset($_GET['action'])){
		$data=$_GET;		
	} else $data=$_POST;	
	$wss_admin=new wss_admin();
	$wss_admin->data=$data;
	$wss_admin->$data['do']();
	echo $wss_admin->output();
	die();
}

if (!class_exists('wss_admin')){
	
	class wss_admin
	{
		public $data;
		public $code=2;
		public $msg;
		public $details;
		
		public function wss_settings()
		{
			require_once('components/wss_validator.php');
			$wss_validator=new wss_validator;
			$req=array(
			  'timezone_string'=>'Timezone is required',			  
			  'shop_open'=>'Shop day open is required',
			  'wss_close_msg1'=>'Shop close message(1)  is required',
			  'wss_close_msg2'=>'Shop close message(2) is required',
			  'wss_close_msg3'=>'Shop close message(3) is required'			  
			);
			
			$numeric=array(
			  'wss_close_msg1_size'=>'Shop close message(1) Font size must be numeric',
			  'wss_close_msg2_size'=>'Shop close message(2) Font size must be numeric',
			  'wss_close_msg3_size'=>'Shop close message(3) Font size must be numeric',
			  'wss_close_msg4_size'=>'Shop close message(4) Font size must be numeric',
			  'wss_todays_date_size'=>"Display Today's Date Font size must be numeric",
			  'wss_day_open_size'=>"Display Day Open Font size must be numeric",
			  'wss_width'=>"Dimension width must be numeric"
			);
			
			if (!isset($this->data['wss_todays_date'])){
				$this->data['wss_todays_date']='';
			}
			if (!isset($this->data['wss_day_open'])){
				$this->data['wss_day_open']='';
			}			
			if (!isset($this->data['wss_as_popup'])){
				$this->data['wss_as_popup']='';
			}						
			if (!isset($this->data['photo'])){
				$this->data['photo']='';
			}
			if (!isset($this->data['wss_photo_set'])){
				$this->data['wss_photo_set']='';
			}
									
			$wss_validator->numeric($numeric,$this->data);
			$wss_validator->required($req,$this->data);
			
			if ($wss_validator->validate()){			
				$u11=update_option('wss_timezone',$this->data['timezone_string']);
				$u12=update_option('wss_shop_starts',$this->data['wws_shop_starts']);
				$u13=update_option('wss_shop_end',$this->data['wws_shop_end']);
				//$u14=update_option('wss_close_msg',$this->data['wss_close_msg']);
				$u15=update_option('wss_shop_open',json_encode($this->data['shop_open']));
				update_option('wss_day_open',$this->data['wss_day_open']);
				update_option('wss_as_popup',$this->data['wss_as_popup']);
				update_option('wss_width',$this->data['wss_width']);
				update_option('wss_close_msg1',$this->data['wss_close_msg1']);
				update_option('wss_close_msg1_size',$this->data['wss_close_msg1_size']);
				
				update_option('wss_close_msg2',$this->data['wss_close_msg2']);
				update_option('wss_close_msg2_size',$this->data['wss_close_msg2_size']);
				
				update_option('wss_close_msg3',$this->data['wss_close_msg3']);
				update_option('wss_close_msg3_size',$this->data['wss_close_msg3_size']);
				
				update_option('wss_todays_date',$this->data['wss_todays_date']);
				
				update_option('wss_todays_date_size',$this->data['wss_todays_date_size']);
				update_option('wss_day_open_size',$this->data['wss_day_open_size']);
				
				update_option('wss_close_msg4',$this->data['wss_close_msg4']);
				update_option('wss_close_msg4_size',$this->data['wss_close_msg4_size']);
				
				update_option('wss_bg_colors',$this->data['wss_bg_colors']);
				update_option('wss_font_colors',$this->data['wss_font_colors']);
				
				update_option('wss_photo',$this->data['photo']);
				update_option('wss_photo_set',$this->data['wss_photo_set']);				
				
				$this->code=1; $this->msg='Soccessfully updated.';
			} else $this->msg=$wss_validator->getErrorAsHTML();
		}
		
		public function upload_image()
		{    	
    	    $path_to_upload=WSS_PLUGIN_DIR.'/upload_images/';
    	    if(!file_exists($path_to_upload)) {	
	           mkdir($path_to_upload);	
            }
                    
            if (isset($this->data['qqfile']) && !empty($this->data['qqfile'])){
	            $input = fopen("php://input", "r");
	            $temp = tmpfile();
	            $realSize = stream_copy_to_stream($input, $temp);
	
	            $pathinfo = pathinfo($this->data['qqfile']);	  
	            $file_name=$pathinfo['filename'].".".$pathinfo['extension'];	            
	            $path=$path_to_upload.$file_name;
	
                $target = fopen($path, "w");        
	            fseek($temp, 0, SEEK_SET);
                stream_copy_to_stream($temp, $target);
			
                $this->code=1;
	            $this->msg="Upload Completed";
	            $this->details=array(
	              'file'=>$file_name,
	              'id'=>mktime()
	            );			    
            } else $this->msg="File is empty";
            
            $this->output();   
        }
		
		public function output($debug=FALSE)
		{
    	    $resp=array('code'=>$this->code,'msg'=>$this->msg,'details'=>$this->details);
    	    if ($debug){
    		    dump($resp);
    	    }
    	    return json_encode($resp);    	    
		}
		
		public function popup()
		{
			$wss_render=new wss_render;
			die();
		}
		
	}
		
}