<?php
if (!class_exists('wss_render'))
{
	class wss_render
	{
		public $options='';
		public $inline_css="\n";
		
		public function __construct(){
			$this->init();
		}
		
		public function init()
		{									
			$days=get_option('wss_shop_open');
						
			if (!empty($days)){
				$days=json_decode($days);
			}			
			
			$this->options['wss_shop_open']=$days;
			$this->options['wss_shop_starts']=get_option('wss_shop_starts');
			$this->options['wss_shop_end']=get_option('wss_shop_end');
			$this->options['wss_todays_date']=get_option('wss_todays_date');			
			$this->options['wss_close_msg1']=get_option('wss_close_msg1');
			$this->options['wss_close_msg1_size']=get_option('wss_close_msg1_size');			
			$this->options['wss_close_msg2']=get_option('wss_close_msg2');
			$this->options['wss_close_msg2_size']=get_option('wss_close_msg2_size');			
			$this->options['wss_close_msg3']=get_option('wss_close_msg3');
			$this->options['wss_close_msg3_size']=get_option('wss_close_msg3_size');			
			$this->options['wss_width']=get_option('wss_width');								
			$this->options['wss_todays_date_size']=get_option('wss_todays_date_size');
			$this->options['wss_day_open_size']=get_option('wss_day_open_size');
			$this->options['wss_day_open']=get_option('wss_day_open');
			$this->options['wss_close_msg4']=get_option('wss_close_msg4');
			$this->options['wss_close_msg4_size']=get_option('wss_close_msg4_size');
			
			$this->options['wss_bg_colors']=get_option('wss_bg_colors');
			$this->options['wss_font_colors']=get_option('wss_font_colors');
			$this->options['wss_photo_set']=get_option('wss_photo_set');
			$this->options['wss_photo']=get_option('wss_photo');
			$this->options['wss_as_popup']=get_option('wss_as_popup');			
			
			if (!empty($this->options['wss_close_msg4'])){
				$this->options['wss_close_msg4']=$this->smarty('start',$this->options['wss_shop_starts'],
				$this->options['wss_close_msg4']);
				$this->options['wss_close_msg4']=$this->smarty('end',$this->options['wss_shop_end'],
				$this->options['wss_close_msg4']);
			}
												
			if (!empty($this->options['wss_width'])){
			    $cs['.wss_main_wrap']=array(
			      'width'=>$this->options['wss_width']."px"
			    );	
			    $cs['.wss_main_wrap_image']=array(
			      'width'=>$this->options['wss_width']."px"
			    );
			    $this->set_style($cs);
			}
			if (!empty($this->options['wss_close_msg1_size'])){
				unset($cs);
				$cs['.wss_1']=array(
			      'font-size'=>$this->options['wss_close_msg1_size']."px"
			    );	
			    $this->set_style($cs);
			}
			if (!empty($this->options['wss_close_msg2_size'])){
				unset($cs);
				$cs['.wss_2']=array(
			      'font-size'=>$this->options['wss_close_msg2_size']."px",
			      'line-height'=>$this->options['wss_close_msg2_size']."px"
			    );	
			    $this->set_style($cs);
			}
			if (!empty($this->options['wss_close_msg3_size'])){
				unset($cs);
				$cs['.wss_main_wrap h2']=array(
			      'font-size'=>$this->options['wss_close_msg3_size']."px",
			      'line-height'=>$this->options['wss_close_msg3_size']."px"
			    );	
			    $this->set_style($cs);
			}
			if (!empty($this->options['wss_todays_date_size'])){
				unset($cs);
				$cs['.wss_main_wrap cite']=array(
			      'font-size'=>$this->options['wss_todays_date_size']."px"
			    );	
			    $this->set_style($cs);
			}			
			if (!empty($this->options['wss_day_open_size'])){
				unset($cs);
				$cs['.wss_main_wrap ul li']=array(
			      'font-size'=>$this->options['wss_day_open_size']."px"
			    );	
			    $this->set_style($cs);
			}
			if (!empty($this->options['wss_close_msg4_size'])){
				unset($cs);
				$cs['.wss_main_wrap h4']=array(
			      'font-size'=>$this->options['wss_close_msg4_size']."px"
			    );	
			    $this->set_style($cs);
			}
			if (!empty($this->options['wss_bg_colors'])){
				unset($cs);
				$cs['.wss_main_wrap']=array(
			      'background'=>$this->options['wss_bg_colors']
			    );	
			    $cs['.fancybox-inner']=array(
			      'background'=>$this->options['wss_bg_colors']
			    );
			    $this->set_style($cs);
			}			
			if (!empty($this->options['wss_font_colors'])){
				unset($cs);
				$cs['.wss_main_wrap']=array(
			      'color'=>$this->options['wss_font_colors']
			    );	
			    $this->set_style($cs);
			}
									
			$this->print_style();
			$this->layout_default();
		}
		
		public function layout_default()
		{
			$wss_timezone=get_option('wss_timezone');			
			if (preg_match("/UTC/i",$wss_timezone)) {				
				$wss_timezone="UTC";
			} 
			date_default_timezone_set("$wss_timezone");			
			?>
			<?php if (!empty($this->options['wss_photo_set']) && !empty($this->options['wss_photo'])):?>
			  <div class="wss_main_wrap_image">
			  <img src="<?php echo WSS_PLUGIN_URL."/upload_images/".$this->options['wss_photo']?>" alt="" title="">
			  </div>
			<?php else :?>
			<div class="wss_main_wrap">		
			 <?php if ($this->options['wss_todays_date']==1):?>
			 <cite>Today is <?php echo date('M d, Y g:i:s a')?> </cite>
			 <?php endif;?>
			
			  <p>
			  <span class="wss_1"><?php echo stripslashes($this->options['wss_close_msg1'])?></span>
			  <span class="wss_2"><?php echo stripslashes($this->options['wss_close_msg2'])?></span>
			  </p>
			  <h2><?php echo stripslashes($this->options['wss_close_msg3'])?></h2>
			  			  
			  <h4>
			  <!--Shop's open @ <?php echo $this->options['wss_shop_starts'];?> to <?php echo $this->options['wss_shop_end'];?>-->
			  <?php echo stripslashes($this->options['wss_close_msg4']);?>
			  </h4>
			  <?php if ($this->options['wss_day_open']==1):?>
			  <ul> 
			  <?php if (is_array($this->options['wss_shop_open']) && count($this->options['wss_shop_open'])>=1):?>
			  <?php foreach ($this->options['wss_shop_open'] as $val_day):?>
			   <li><?php echo ucwords($val_day);?></li>
			  <?php endforeach;?>
			  <?php endif;?>			   			  
			  </ul>
			  <div class="clear"></div>
			  <?php endif;?>
			  
			</div> <!--END wss_main_wrap-->
			<?php
			endif;
		}
		
		public function set_style($style='')
		{			
			if (is_array($style)){
				foreach ($style as $key => $val) {									
					$this->inline_css.="$key {";
					if (is_array($val) && count($val)>=1){
					    foreach ($val as $key_sub => $val_sub) {
					       $this->inline_css.="$key_sub:$val_sub;";        
                        }	
					}				
					$this->inline_css.="}\n";
				}
			}
		}
		
		public function print_style()
		{			
			
			print '<style type="text/css">';
			print $this->inline_css;			
			print '@media only screen and (max-width : '.$this->options['wss_width'].'px) {'."\n";
			print '.wss_main_wrap{ width:100%;}';
			print "}";
			print '</style>';
		}
		
		public function smarty($search='',$value='',$subject='')
		{	
	       return str_replace("[".$search."]",$value,$subject);
		}
				
	} /*END CLASS*/	
} /*END RENDER*/